For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The ScheduledInterview object
          • GET/interviews
          • POST/interviews
          • GET/interviews/{id}
          • GET/interviews/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsInterviews

/interviews

Beta
POST
/ats/v1/interviews
POST
/api/ats/v1/interviews
$curl -X POST https://api.merge.dev/api/ats/v1/interviews \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "model": {},
> "remote_user_id": "string"
>}'
201Created
1{
2 "model": {
3 "id": "b8faf072-98b9-4445-8a9a-6b4950efca19",
4 "remote_id": "3",
5 "created_at": "2021-09-15T00:00:00Z",
6 "modified_at": "2021-10-16T00:00:00Z",
7 "application": "92e8a369-fffe-430d-b93a-f7e8a16563f1",
8 "job_interview_stage": "2f7adb59-3fe6-4b5b-aef6-563f72bd13dc",
9 "organizer": "52bf9b5e-0beb-4f6f-8a72-cd4dca7ca633",
10 "interviewers": [
11 "f9813dd5-e70b-484c-91d8-00acd6065b07",
12 "89a86fcf-d540-4e6b-ac3d-ce07c4ec9b3c"
13 ],
14 "location": "Embarcadero Center 2",
15 "start_at": "2021-10-15T00:00:00Z",
16 "end_at": "2021-10-15T02:00:00Z",
17 "remote_created_at": "2021-10-15T00:00:00Z",
18 "remote_updated_at": "2021-10-15T00:00:00Z",
19 "status": "SCHEDULED",
20 "remote_was_deleted": true,
21 "field_mappings": {
22 "organization_defined_targets": {
23 "custom_key": "custom_value"
24 },
25 "linked_account_defined_targets": {
26 "custom_key": "custom_value"
27 }
28 },
29 "remote_data": [
30 {
31 "path": "/interviews",
32 "data": null
33 }
34 ]
35 },
36 "warnings": [
37 {
38 "title": "Unrecognized Field",
39 "detail": "An unrecognized field, age, was passed in with request data.",
40 "problem_type": "UNRECOGNIZED_FIELD",
41 "source": {
42 "pointer": "/age"
43 },
44 "block_merge_link": true,
45 "raw_error": "string",
46 "error_code": 1
47 }
48 ],
49 "errors": [
50 {
51 "title": "Missing Required Field",
52 "detail": "custom_fields is a required field on model.",
53 "problem_type": "MISSING_REQUIRED_FIELD",
54 "source": {
55 "pointer": "/model/custom_fields"
56 },
57 "block_merge_link": true,
58 "raw_error": "string",
59 "error_code": 1
60 }
61 ],
62 "logs": [
63 {
64 "log_id": "99433219-8017-4acd-bb3c-ceb23d663832",
65 "dashboard_view": "https://app.merge.dev/logs/99433219-8017-4acd-bb3c-ceb23d663832",
66 "log_summary": {
67 "url": "www.exampleintegration.com/api/v1/exampleapi",
68 "method": "POST",
69 "status_code": 200
70 }
71 }
72 ]
73}

Creates a ScheduledInterview object with the given values.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/interviews

Next

/interviews/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

is_debug_modebooleanOptional

Whether to include debug fields (such as log file links) in the response.

run_asyncbooleanOptional

Whether or not third-party updates should be run asynchronously.

Request

This endpoint expects an object.
modelobjectRequired

Description

The ScheduledInterview object is used to represent a scheduled interview for a given candidate’s application to a job. An Application can have multiple ScheduledInterviews depending on the particular hiring process.

Usage Example

Fetch from the LIST ScheduledInterviews endpoint and filter by interviewers to show all office locations.

remote_user_idstringRequired

Response

modelobject

Description

The ScheduledInterview object is used to represent a scheduled interview for a given candidate’s application to a job. An Application can have multiple ScheduledInterviews depending on the particular hiring process.

Usage Example

Fetch from the LIST ScheduledInterviews endpoint and filter by interviewers to show all office locations.

warningslist of objects
errorslist of objects
logslist of objects